Sympa::DatabaseManager(3Sympa)

NAME
Sympa::DatabaseManager - Managing schema of Sympa core database

SYNOPSIS
  use Sympa::DatabaseManager;

  $sdm = Sympa::DatabaseManager->instance
      or die 'Cannot connect to database';
  $sth = $sdm->do_prepared_query('SELECT FROM ...', ...)
      or die 'Cannot execute query';
  Sympa::DatabaseManager->disconnect;

  Sympa::DatabaseManager::probe_db() or die 'Database is not up-to-date';

DESCRIPTION
Sympa::DatabaseManager provides functions to manage schema of Sympa core database.

  Methods and functions

instance ( )
    Constructor. Gets singleton instance of Sympa::Database class managing Sympa core database.

disconnect ( )
    Class method. Disconnects from core database.

probe_db ( )
    Function. If possible, probes database structure and updates it.

SEE ALSO
Sympa::Database, Sympa::DatabaseDescription, Sympa::DatabaseDriver.

HISTORY
Sympa Database Manager (SDM) appeared on Sympa 6.2.